(function() {
	"use strict";
	$(document).on({
		ajaxStart: function () { 
			$("#delay").show();
			$("<span id='delay-info'>"+ loaderText +"</span>").insertAfter("#loader");
		},
		ajaxStop: function () { $("#delay").fadeOut(); }
	});
	function sendData(url, formData, _callback) {
		$.ajax({
			dataType: "json",
			type: "post",
			url: url,
			data: formData,
			cache: false,
			contentType: false,
			processData: false,
			success: function (data) {
				_callback(data);
			},
			error: function (data) {
				console.log(data);
			},
		});
	};
	function toIndex(i, t) {
		var formData = new FormData();
		formData.append("action", "minres-install");
		formData.append("index", i);
		sendData("./"+t, formData, function(result) {
			//console.log(result)
			if(result && result.status == 1) {
				if(result.redirect) {
					return window.location.replace(result.redirect);
				}
				if(result.loaderText) { $("#delay-info").html(result.loaderText); }
				if(result.next) { toIndex(result.index, result.token); }
			}
		});
	}
	$(".btn").click(function (e) {
		e.preventDefault();
		var token = $(this).attr('href');
		toIndex(1, token);
		return false;
	});
})();